## org.hibernate.testing.junit4
Class BeforeClassCallbackHandler

    java.lang.Object
      org.junit.runners.model.Statement
          org.hibernate.testing.junit4.BeforeClassCallbackHandler

    public class BeforeClassCallbackHandler

extends org.junit.runners.model.Statement

Constructor Summary
`BeforeClassCallbackHandler(CustomRunner runner, org.junit.runners.model.Statement wrappedStatement)`

Method Summary
`void` `evaluate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeforeClassCallbackHandler

    public BeforeClassCallbackHandler(CustomRunner runner,
                                      org.junit.runners.model.Statement wrappedStatement)

Method Detail

### evaluate

    public void evaluate()
                  throws Throwable

  Specified by:
    `evaluate` in class `org.junit.runners.model.Statement`
  Throws:
    `Throwable`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.